View Issue Details

IDProjectCategoryView StatusLast Update
14162Bug reports[All Projects] Conditionspublic2019-04-30 09:10
Reporterpotamo Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.15.x 
Summary14162: Functionality of Drag and Drop in ranking questions breaks in dependance of relevance equations
Description

The drag and drop function of the ranking questions seems to be dependant of what is in their relevance equations. To make it a bit clearer, I attach a small survey with three questions (q01, q02, q03). The first question is a simple option question with three answer options (answer code 1, 2, 3).

The second and third questions are ranking questions (with minimal and maximal answers set to four). These are triggered by the first question (answer codes 1 and 2). Both ranking questions are triggered as they should. Moreover, the logical output seems to be fine in both cases. But the drag and drop function is working differently. The relevance equations are:

Q02: ‘q01 == 1 || q01 == 2’ --> In this case, the drag and drop function does not work properly
Q03: ‘q01 <= 2’ --> In this case, the drag and drop function works like a charm

In both cases, the double clicks are working fine.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1+181017
I will donate to the project if issue is resolvedNo
Browserdiverse (on Apple devices: Safari)
Database & DB-VersionMySQL
Server OS (if known)Linux
Webserver software & version (if known)Apache2
PHP Versionphp7.1

Relationships

has duplicate 13614 closedDenisChenu ranking questions aren't saved 

Activities

potamo

potamo

2018-10-22 16:57

reporter  

limesurvey_survey_622882.lss (22,673 bytes)
DenisChenu

DenisChenu

2018-10-22 17:06

developer   ~49405

Other's issues :

1: Same choice height didn't do anything (it work in 2.73 (see screenshot)
2: if array_filter is apply : this update height of list, and finally list don't have same height.

PS : for the sample : i put a major difference between the choice, but in general : real usage is for picture , sentence in 1 or 2 lines : this can really be intersting.
PS2 : in 2.76 : with same list height: whith/without array filter : list stay at same height always. I think it's the desired behaviour.



limesurvey_survey_ranking.lss (25,077 bytes)
DenisChenu

DenisChenu

2018-10-22 17:51

developer   ~49407

https://github.com/LimeSurvey/LimeSurvey/pull/1154

DenisChenu

DenisChenu

2018-10-22 21:28

developer   ~49410

Fix committed to master-ranking_14162 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28382

DenisChenu

DenisChenu

2018-10-23 15:41

developer   ~49412

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28391

Related Changesets

LimeSurvey: master-ranking_14162 d399847e

2018-10-22 17:50:07

DenisChenu

Details Diff
Fixed issue 14162: Functionality ranking questions breaks with relevance
Fixed issue : Same choice height work again
Dev: update and depend actual
Affected Issues
14162
mod - application/config/questiontypes.php Diff File
mod - application/config/third_party.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/ranking/answer.twig Diff File
mod - assets/packages/questions/ranking/scripts/ranking.js Diff File
rm - third_party/jquery-actual/.gitignore Diff File
rm - third_party/jquery-actual/CHANGELOG.md Diff File
mod - third_party/jquery-actual/README.md Diff File
rm - third_party/jquery-actual/demo/PIE.htc Diff File
rm - third_party/jquery-actual/demo/css3pie.html Diff File
rm - third_party/jquery-actual/demo/normal.html Diff File
mod - third_party/jquery-actual/jquery.actual.js Diff File
mod - third_party/jquery-actual/jquery.actual.min.js Diff File
rm - third_party/jquery-actual/package.json Diff File

LimeSurvey: master a6469d01

2018-10-23 15:40:56

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14162: Functionality ranking questions breaks with relev… (#1154)

Fixed issue : Same choice height work again
Dev: update and depend actual
Dev: review css selector
Affected Issues
14162
mod - application/config/questiontypes.php Diff File
mod - application/config/third_party.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/ranking/answer.twig Diff File
mod - assets/packages/questions/ranking/scripts/ranking.js Diff File
rm - third_party/jquery-actual/.gitignore Diff File
rm - third_party/jquery-actual/CHANGELOG.md Diff File
mod - third_party/jquery-actual/README.md Diff File
rm - third_party/jquery-actual/demo/PIE.htc Diff File
rm - third_party/jquery-actual/demo/css3pie.html Diff File
rm - third_party/jquery-actual/demo/normal.html Diff File
mod - third_party/jquery-actual/jquery.actual.js Diff File
mod - third_party/jquery-actual/jquery.actual.min.js Diff File
rm - third_party/jquery-actual/package.json Diff File

Issue History

Date Modified Username Field Change
2018-10-22 16:57 potamo New Issue
2018-10-22 16:57 potamo File Added: limesurvey_survey_622882.lss
2018-10-22 17:06 DenisChenu File Added: Capture du 2018-10-22 17-04-17.png
2018-10-22 17:06 DenisChenu File Added: limesurvey_survey_ranking.lss
2018-10-22 17:06 DenisChenu Note Added: 49405
2018-10-22 17:50 DenisChenu Assigned To => markusfluer
2018-10-22 17:50 DenisChenu Status new => assigned
2018-10-22 17:51 DenisChenu Note Added: 49407
2018-10-22 21:28 DenisChenu Changeset attached => LimeSurvey master-ranking_14162 d399847e
2018-10-22 21:28 DenisChenu Note Added: 49410
2018-10-22 21:28 DenisChenu Assigned To markusfluer => DenisChenu
2018-10-22 21:28 DenisChenu Resolution open => fixed
2018-10-23 15:41 DenisChenu Changeset attached => LimeSurvey master a6469d01
2018-10-23 15:41 DenisChenu Note Added: 49412
2018-10-25 09:08 DenisChenu Status assigned => resolved
2018-10-25 09:08 DenisChenu Fixed in Version => 3.15.x
2018-11-21 16:25 DenisChenu Relationship added has duplicate 13614
2019-04-30 09:10 c_schmitz Status resolved => closed